> ## Documentation Index
> Fetch the complete documentation index at: https://api.docs.flare.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Report



## OpenAPI

````yaml firework-v4-openapi get /firework/v4/threat_flow/reports/{report_id}
openapi: 3.1.0
info:
  title: Firework API
  version: v4
servers:
  - url: https://api.flare.io
security:
  - BearerAuth: []
paths:
  /firework/v4/threat_flow/reports/{report_id}:
    get:
      tags:
        - public
      summary: Get Report
      operationId: get_report_threat_flow_reports__report_id__get
      parameters:
        - name: report_id
          in: path
          required: true
          schema:
            type: integer
            title: Report Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/pyro__threat_flow__web__v4__reports__models__ReportResponse
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    pyro__threat_flow__web__v4__reports__models__ReportResponse:
      properties:
        report:
          $ref: '#/components/schemas/PydanticThreatFlowReport'
      type: object
      required:
        - report
      title: ReportResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    PydanticThreatFlowReport:
      properties:
        id:
          type: integer
          title: Id
        format_type:
          $ref: '#/components/schemas/ThreatFlowReportFormatType'
          default: simple_summary
        intel_type:
          $ref: '#/components/schemas/IntelType'
          default: unit_summary_based
        title:
          type: string
          title: Title
        subtitle:
          anyOf:
            - type: string
            - type: 'null'
          title: Subtitle
        summary:
          type: string
          title: Summary
        content:
          type: string
          title: Content
        tags:
          items:
            type: string
          type: array
          title: Tags
        highlights:
          items:
            type: string
          type: array
          title: Highlights
        related_activity_uids:
          items:
            type: string
          type: array
          title: Related Activity Uids
        prompt_preset_uid:
          anyOf:
            - type: string
            - type: 'null'
          title: Prompt Preset Uid
        created_at:
          type: string
          format: date-time
          title: Created At
        published_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Published At
        updated_at:
          type: string
          format: date-time
          title: Updated At
        reading_time:
          type: integer
          title: Reading Time
        tenant_id:
          anyOf:
            - type: integer
            - type: 'null'
          title: Tenant Id
        organization_id:
          anyOf:
            - type: integer
            - type: 'null'
          title: Organization Id
      type: object
      required:
        - id
        - title
        - subtitle
        - summary
        - content
        - tags
        - highlights
        - related_activity_uids
        - prompt_preset_uid
        - created_at
        - published_at
        - updated_at
        - reading_time
        - tenant_id
        - organization_id
      title: PydanticThreatFlowReport
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    ThreatFlowReportFormatType:
      type: string
      enum:
        - simple_summary
        - expanded_summary
        - finished_intel_standard
      title: ThreatFlowReportFormatType
    IntelType:
      type: string
      enum:
        - unit_summary_based
        - custom_intel
      title: IntelType
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````